osl::record::KanjiPrint Class Reference

局面を漢字でカラーで表示する. More...

`#include <kanjiPrint.h>`

## Public Member Functions

| KanjiPrint (std::ostream &os, const std::shared_ptr< Characters > pieces=std::shared_ptr< Characters >(new StandardCharacters()))
| ~KanjiPrint ()
void | print (const SimpleState &state, const Move *last_move=NULL) const
| 出力
void | setBlackColor (const Color &c)
void | setWhiteColor (const Color &c)
void | setLastMoveColor (const Color &c)

## Private Attributes

std::ostream & | os
const std::shared_ptr< Characters > | pieces
Color | black_color
Color | white_color
Color | last_move_color

## Detailed Description

局面を漢字でカラーで表示する.

Definition at line 184 of file kanjiPrint.h.

## Constructor & Destructor Documentation

## KanjiPrint()

osl::record::KanjiPrint::KanjiPrint | ( | std::ostream & | os,
|  | const std::shared_ptr< Characters > | pieces = std::shared_ptr<Characters>(new StandardCharacters()) )

inline explicit

Definition at line 194 of file kanjiPrint.h.

References black_color, last_move_color, os, pieces, and white_color.

## ~KanjiPrint()

osl::record::KanjiPrint::~KanjiPrint | ( |  | ) |

inline

Definition at line 200 of file kanjiPrint.h.

## Member Function Documentation

## print()

void osl::record::KanjiPrint::print | ( | const SimpleState & | state,
|  | const Move * | last_move = NULL ) const

出力

Parameters

  state | a state to show.
  last_move | a color last_move is available unless it is null.

Definition at line 175 of file kanjiPrint.cc.

References osl::BLACK, black_color, osl::SimpleState::countPiecesOnStand(), osl::misc::eucToLang(), osl::getOwner(), osl::Move::isInvalid(), osl::isPiece(), K_BLACK_STAND, K_WHITE_STAND, last_move_color, osl::newPtypeO(), osl::PieceStand::order, os, osl::SimpleState::pieceOnBoard(), pieces, osl::Piece::ptypeO(), osl::Move::to(), osl::SimpleState::turn(), osl::WHITE, and white_color.

## setBlackColor()

void osl::record::KanjiPrint::setBlackColor | ( | const Color & | c | ) |

inline

Definition at line 210 of file kanjiPrint.h.

References black_color.

## setLastMoveColor()

void osl::record::KanjiPrint::setLastMoveColor | ( | const Color & | c | ) |

inline

Definition at line 212 of file kanjiPrint.h.

References last_move_color.

## setWhiteColor()

void osl::record::KanjiPrint::setWhiteColor | ( | const Color & | c | ) |

inline

Definition at line 211 of file kanjiPrint.h.

References white_color.

## Member Data Documentation

## black_color

Color osl::record::KanjiPrint::black_color

private

Definition at line 189 of file kanjiPrint.h.

Referenced by KanjiPrint(), print(), and setBlackColor().

## last_move_color

Color osl::record::KanjiPrint::last_move_color

private

Definition at line 191 of file kanjiPrint.h.

Referenced by KanjiPrint(), print(), and setLastMoveColor().

## os

std::ostream& osl::record::KanjiPrint::os

private

Definition at line 187 of file kanjiPrint.h.

Referenced by KanjiPrint(), and print().

## pieces

const std::shared_ptr<Characters> osl::record::KanjiPrint::pieces

private

Definition at line 188 of file kanjiPrint.h.

Referenced by KanjiPrint(), and print().

## white_color

Color osl::record::KanjiPrint::white_color

private

Definition at line 190 of file kanjiPrint.h.

Referenced by KanjiPrint(), print(), and setWhiteColor().

The documentation for this class was generated from the following files:

- kanjiPrint.h
- kanjiPrint.cc